DCMTK - Bug #372

Doxygen API-Documentation incomplete/erroneous
2008-05-29 00:00 - Jorg Riesmeier

Status: Assigned Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Documentation Estimated time: 0:00 hour

Target version:
Module: various Compiler:

Operating System:

Description

Just look at the file "doxygen/htmldocs.log", all the errors are there. The erroneously documented parameters should at least be
corrected by the next release - and the parameters for methods/functions too, which are otherwise well documented.

=== Update Eichelberg (2009-08-05) ===
Even after filtering out unimportant warnings, there are still almost 3000 left!

=== JR's comment ===

That may be so, but the problems won't solve themselves. The warnings stem from one reason: namely undocumented or "falsely”
documented portions. If everyone would take their own "favourite" module respectively, or ones on which they have worked on the
most, then we should make considerable progress...

History

#1 - 2013-04-23 10:17 - Andrew Chiw

Doxygen API-Documentation incomplete/erroneous
Description

Just look at the file "doxygen/htmldocs.log", all the errors are there. The erroneously documented parameters should at least be corrected by the next
release - and the parameters for methods/functions too, which are otherwise well documented.

=== Update Eichelberg (2009-08-05) ===
Even after filtering out unimportant warnings, there are still almost 3000 left!

=== JR's comment ===

That may be so, but the problems won't solve themselves. The warnings stem from one reason: namely undocumented or "falsely" documented
portions. If everyone would take their own "favourite" module respectively, or ones on which they have worked on the most, then we should make
considerable progress...

#2 - 2013-04-28 22:51 - Andrew Chiw

- Subject changed from Doxygen API-Dokumentation teilweise unvollstaendig/fehlerhaft to Doxygen API-Documentation incomplete/erroneous

#3 - 2016-11-16 11:01 - J6rg Riesmeier
- Category set to Documentation
- Target version set to 3.6.2

- Module changed from diverse to various

#4 - 2017-03-24 12:40 - Marco Eichelberg
- Priority changed from High to Normal
- Target version changed from 3.6.2 to 3.6.3

#5 - 2017-12-07 11:59 - Marco Eichelberg
- Target version changed from 3.6.3 to 3.6.6

#6 - 2019-04-02 16:22 - Pedro Fernando Arizpe Gomez
- Status changed from New to Assigned

- Assignee set to Anonymous

#7 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)

#8 - 2023-01-16 16:05 - JOorg Riesmeier

- Assignee deleted (Anonymous)
